package com.palmnest.service.estateserve.release;

import com.palmnest.application.bean.AppResultDto;
import com.palmnest.application.bean.Page;
import com.palmnest.application.dto.input.RenovationManageAuditParam;
import com.palmnest.application.dto.input.RenovationManageInputDto;
import com.palmnest.application.dto.output.RenovationManageOutDto;
import com.palmnest.model.release.RenovationManage;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public interface RenovationManageService {


	public Page findPageBy(Map<String, Object> params, int pageSize, int pageNo);

	/**
	 * 物品放行申请
	 */
	public AppResultDto apply(RenovationManageInputDto dto, HttpServletRequest request);

	public RenovationManageOutDto findById(Long id);

	public RenovationManageOutDto convert(RenovationManage bill) throws Exception;

	public AppResultDto audit(RenovationManageAuditParam dto, HttpServletRequest request);

	public void push(RenovationManage bill) throws Exception;

	public void sendAgreeWechat(RenovationManage bill);

	public void sendRefuseWechat(RenovationManage bill);

}
